play.db.jpa

## Class Model

- java.lang.Object
- - play.db.jpa.JPABase
  - - play.db.jpa.GenericModel
    - - play.db.jpa.Model

All Implemented Interfaces:
  java.io.Serializable, Model

    @MappedSuperclass
    public class Model
    extends GenericModel

Base class for JPA model objects Automatically provide a @Id Long id field

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class play.db.jpa.GenericModel

`GenericModel.JPAQuery`

### Nested classes/interfaces inherited from class play.db.jpa.JPABase

`JPABase.JPAQueryException`

### Nested classes/interfaces inherited from interface play.db.Model

`Model.BinaryField, Model.Choices, Model.Factory, Model.Manager, Model.Property`

### Field Summary

Fields
`java.lang.Long` `id`

### Fields inherited from class play.db.jpa.JPABase

`willBeSaved`

### Constructor Summary

Constructors
Constructor and Description
`Model()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `_key()`
`java.lang.Long` `getId()`

### Methods inherited from class play.db.jpa.GenericModel

`_saveAttachment, _setupAttachment, all, count, count, create, create, create, create, delete, delete, deleteAll, edit, edit, edit, edit, edit, edit, find, findAll, findById, merge, refresh, save, validateAndCreate, validateAndSave`

### Methods inherited from class play.db.jpa.JPABase

`_delete, _save, em, em, equals, getEntityId, hashCode, isPersistent, isPersistent, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public java.lang.Long id

### Constructor Detail

#### Model

    public Model()

### Method Detail

#### getId

    public java.lang.Long getId()

#### _key

    public java.lang.Object _key()

Specified by:
  `_key` in interface `Model`
Overrides:
  `_key` in class `JPABase`